=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                dh-sequence-pkgkde-symbolshelper,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libgrantleetheme-dev (>= 25.11.80~),
-               libgrantleetheme-plugins (>= 25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.11.90~),
+               libgrantleetheme-plugins (>= 25.11.90~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6completion-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.3.0~),
@@ -32,7 +32,7 @@
                libkf6textwidgets-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
@@ -61,8 +61,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.11.80~),
-         libgrantleetheme-dev (>= 25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
+         libgrantleetheme-dev (>= 25.11.90~),
          libkf6contacts-dev (>= 6.6.0~),
          libkpim6akonadicontactcore6 (= ${binary:Version}),
          libkpim6akonadicontactwidgets6 (= ${binary:Version}),
