=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vstable+git20251224.0750-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:50:10 +0000

akonadi-contacts (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:45 +1000
