## akonadi-contacts 25.12.0+p24.04+vstable+git20251231.0205

=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vstable+git20251231.0205-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:05:08 +0000
