=== debian/changelog ===
akonadi-contacts (4:25.12.0+p24.04+vunstable+git20251208.2230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:30:45 +0000
