## akonadi-contacts 25.12.1+p24.04+vstable+git20260118.0202

=== debian/changelog ===
akonadi-contacts (4:25.12.1+p24.04+vstable+git20260118.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:02:55 +0000

akonadi-contacts (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:12 +1000
