## akonadi-contacts 25.12.1+p24.04+vunstable+git20260205.0731

=== debian/changelog ===
akonadi-contacts (4:25.12.1+p24.04+vunstable+git20260205.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:31:43 +0000
