## akonadi-contacts 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.2")
 
 project(Akonadi-Contact VERSION ${PIM_VERSION})
 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.1")
-set(AKONADI_VERSION "6.6.1")
-set(GRANTLEETHEME_LIB_VERSION "6.6.1")
+set(KMIMELIB_VERSION "6.6.2")
+set(AKONADI_VERSION "6.6.2")
+set(GRANTLEETHEME_LIB_VERSION "6.6.2")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")
