=== debian/changelog ===
akonadi-contacts (4:25.12.2+p24.04+vstable+git20260207.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 00:53:29 +0000

akonadi-contacts (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:45:22 +0000
