## akonadi-contacts 25.12.2+p24.04+vstable+git20260214.1453

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,9 +68,9 @@
 )
 
 set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
-set(KMIMELIB_VERSION "6.6.2")
-set(AKONADI_VERSION "6.6.2")
-set(GRANTLEETHEME_LIB_VERSION "6.6.2")
+set(KMIMELIB_VERSION "6.6.3")
+set(AKONADI_VERSION "6.6.3")
+set(GRANTLEETHEME_LIB_VERSION "6.6.3")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 set(QT_REQUIRED_VERSION "6.8.0")
