=== debian/changelog ===
akonadi-contacts (4:25.12.2+p24.04+vstable+git20260214.1453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 14:53:08 +0000
